## com.ibatis.jpetstore.persistence.iface
Interface ProductDao

All Known Implementing Classes:
  ProductSqlMapDao

public interface ProductDao

Method Summary
`Product` `getProduct(String productId)`
`com.ibatis.common.util.PaginatedList` `getProductListByCategory(String categoryId)`
`com.ibatis.common.util.PaginatedList` `searchProductList(String keywords)`

Method Detail

### getProductListByCategory

    public com.ibatis.common.util.PaginatedList getProductListByCategory(String categoryId)

### getProduct

    public Product getProduct(String productId)

### searchProductList

    public com.ibatis.common.util.PaginatedList searchProductList(String keywords)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.